/*+
|                                               |
|     Trigger: DTULTATU_JUSTIFICATIVA           |  
|     Tabela : JUSTIFICATIVA                    |
|                                               |
|     Criao:                                  |
|     22/07/2008 - Luiz Passos                  |
|                                               |
+*/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_JUSTIFICATIVA'  and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_JUSTIFICATIVA
GO

CREATE TRIGGER DTULTATU_JUSTIFICATIVA
ON JUSTIFICATIVA
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, DSKEYCACHE, DTULTATUCACH)
         (SELECT 'JUSTIFICATIVA', 'CDJUSTIFICATIVA='  + CDJUSTIFICATIVA +
                                  ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE JUSTIFICATIVA
      SET DTULTATUJUSTIF = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(JUSTIFICATIVA.CDJUSTIFICATIVA, 0) = ISNULL(INSERTED.CDJUSTIFICATIVA, 0));
   END;
END;
GO 

-- VERSAO --
EXEC ATUVEROBJ 'DTULTATU_JUSTIFICATIVA','5.03.010';
GO
